get
https://www.clickpost.in/api/v1/return_order_poll/
The Return Polling Delta API is used to fetch all the return requests raised in the Clickpost system in a 60 minute window. This can be considered as a fallback mechanism to the Return Request Received Webhook mentioned above that is already in place to share this data.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Important Links
Response
meta [meta parameters]
| Field Name | Data Type | Description |
|---|---|---|
success | Boolean | Indicates the success of the API request |
message | String | The message from Clickpost. In case of success it will be "SUCCESS". In that case there are no carrier partners that are servicing the pincodes , it will be ”Pin code not serviceable" |
status | HTTP Code | The HTTP response status code of the API request |
result [result parameters]
| Field Name | Data Type | Description |
|---|---|---|
return_reference_number | String | Unique Return Identifier |
status | String | Status of the return request |
return_request_timestamp | String | The date and time of the return request in UTC |
cp_id | Number | The carrier partner id |
cp_name | String | Carrier partner name |
account_code | String | Registered account code for the carrier partner |
return_tracking_id | Number | The return tracking ID |
awb | String | Air Waybill number of the reverse shipment |
timestamp | String | Timestamp in UTC of the return request |
refund_mode | String | Mode of refund for the return order |
source | String | Source from where the return request was placed |
webhook_payload | Json Object | Reverse shipment details |
waybill | String | Air Waybill number of the reverse shipment |
webhook_payload.cp_id | Number | The carrier partner id |
status | String | Status of the return order |
location | String | Location of the return order |
clickpost_status_code | Number | The clickpost tracking status. Reference |
notification_event | Number | The clickpost notification event code https://docs.clickpost.ai/docs/notification-event |
clickpost_status_description | String | Clickpost tracking status description |
clickpost_status_bucket_description | String | Description of the Clickpost status bucket |
remark | String | Remark sent by the carrier partner |
webhook_payload.account_code | String | Registered account code for the carrier partner |
additional | JSON Object | Additional details for the return order |
latest_status | JSON Object | The latest status of the return order
|
additional.source | String | Source from where the return request was placed |
forward_order_id | String | Forward shipment order ID |
is_rvp | Boolean | Indicates if the order is reverse |
forward_awb | String | Forward shipment AWB number |
forward_reference_number | String | Forward shipment reference number |
notification_event_id | Number | Notification event ID |
self_shipped | Boolean | Indicates if the shipment was self-shipped |
item_info | Array | List of returned items |
sku | String | Stock Keeping Unit of the returned item |
quantity | Number | Quantity of the returned item |
return_reason | String | Reason for the return |
item_info[].refund_mode | String | Refund mode for the returned item |
customer_comment | String | Customer comment |
id | String | Item ID |
return_mode | String | Mode of return (e.g., REFUND) |
description | String | Item description |
return_sub_reason | String | Detailed sub-reason for return |
images | String | Image URL of the returned item |
customer_uploaded_images | String | URL(s) of customer-uploaded images |
shopify_line_item_id | String | Shopify line item ID |
additional.return_reference_number | String | Return reference number |
drop_store_id | String | Drop store ID |
return_pickup_phone_number | String | Phone number for pickup |
return_pickup_address | String | Pickup address |
return_phone_number | String | Return contact phone number |
return_address | String | Return address |
webhook_payload.clickpost_status_bucket | Number | ClickPost status bucket code |
webhook_payload.timestamp | String | Timestamp in UTC |
webhook_payload.return_reference_number | String | Return reference number |
customer_name | String | Customer name |
request_placed_time | String | Time when the request was placed |
pickup_info | Object | Pickup details |
pickup_info.customer_name | String | Pickup customer name |
customer_email | String | Pickup customer email |
customer_phone_number | String | Pickup customer phone number |
pickup_state | String | Pickup state |
pickup_address | String | Pickup address |
pickup_pincode | String | Pickup postal code |
pickup_city | String | Pickup city |
pickup_country | String | Pickup country |
